curl --request GET \
--url https://api.honeycomb.io/1/signals/{signalId}/historical_anomalies \
--header 'X-Honeycomb-Team: <api-key>'import requests
url = "https://api.honeycomb.io/1/signals/{signalId}/historical_anomalies"
headers = {"X-Honeycomb-Team": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Honeycomb-Team': '<api-key>'}};
fetch('https://api.honeycomb.io/1/signals/{signalId}/historical_anomalies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"historical_anomalies": [
{
"id": "0f8d0f3a-3f8b-5f2b-8f2b-1f2b3f4b5f6b",
"started_at": 1741089600,
"ended_at": 1741093200,
"measurement": 0.42,
"normal_range": {
"lower": 0.01,
"upper": 0.08
}
}
],
"links": {
"next": "/2/teams/my-team/api-keys?page[after]=3025fa645ad1100d&page[size]=10"
}
}{
"status": 400,
"type": "https://api.honeycomb.io/problems/unparseable",
"title": "The request body could not be parsed.",
"error": "invalid gzip data"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "something went wrong!",
"status": 422,
"type": "https://api.honeycomb.io/problems/validation-failed",
"title": "The provided input is invalid.",
"detail": "<string>",
"instance": "<string>",
"type_detail": [
{
"field": "<string>",
"code": "invalid",
"description": "<string>"
}
]
}{
"error": "Rate Limited"
}{
"error": "<string>"
}List Historical Anomalies
List anomalies that a Signal has resolved within a bounded time window. Anomalies are returned in cursor-paginated pages, most recent first. start_time and end_time are required and must span no more than 30 days.
Authorizations
Authenticate using a Honeycomb Configuration Key.
Pass the Token in the X-Honeycomb-Team header:
X-Honeycomb-Team: 1234567890123456789012
If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.
To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.
Path Parameters
The unique identifier (ID) of a Signal.
Query Parameters
Start of the query window, in seconds since UNIX epoch.
End of the query window, in seconds since UNIX epoch. Must be after start_time and within 30 days of it.
The string value of the next attribute from a previous result page.
The cursor value must be empty or omitted for the first request of a cursor-paginated query.
The number of entries to include per response. Maximum value is 100.
1 <= x <= 100